<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myRuleHotItemLabel" jhiTranslate="mpmApp.ruleHotItem.home.createOrEditLabel">Create or edit a Rule Hot Item</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!ruleHotItem.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="ruleHotItem.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label mandatory" jhiTranslate="mpmApp.ruleHotItem.minDownPayment" for="field_minDownPayment">Min Down Payment</label> 
            <input type="text" class="form-control" name="minDownPayment" 
            currencyMask
            required
            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
            id="field_minDownPayment"
                [(ngModel)]="ruleHotItem.minDownPayment"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="ruleHotItem.description"/>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.ruleHotItem.home.dateFrom" for="field_datefrom">Date From</label>
            <div class="input-group">
                <p-calendar inputId="field_datefrom" name="input_datefrom" [(ngModel)]="ruleHotItem.dateFrom" dateFormat="dd-mm-yy" [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.ruleHotItem.home.dateThru" for="field_datethru">Date Thru</label>
            <div class="input-group">
                <p-calendar inputId="field_datethru" name="input_datethru" [(ngModel)]="ruleHotItem.dateThru" dateFormat="dd-mm-yy" [showIcon]="true"></p-calendar>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
